<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="mi-evennotify">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Eventos de Notificación</h2>
    <fieldset>
      <legend>Formulario</legend>
      <p>
        <label for="myinput"></label>
        <input type="text" name="myinput" id="myinput" value="{{valorEscrito::change}}" placeholder="[[placeHolder]]" required=[[required]]>
      </p>
      <button type="submit">Enviar formulario</button>
    </fieldset>
    <hr>
    <span>Valor ingresado: [[valorEscrito]]</span>
  </template>

  <script>
    /**
     * `mi-evennotify`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MiEvennotify extends Polymer.Element {
      static get is() { return 'mi-evennotify'; }
      static get properties() {
        return {
          texto: {
            type: String
          },
          valorEscrito: {
            type: String,
            notify: true
          },
          placeHolder: {
            type: String,
            value: "Valor aquí !!! "
          },
          required: Boolean
        };
      }

      ready(){
        super.ready();
        this.addEventListener('valor-escrito-changed', (e) => {
          console.log('evento lanzado', e);
        });
      }
    }

    window.customElements.define(MiEvennotify.is, MiEvennotify);
  </script>
</dom-module>

